#include<stdio.h>

int main(){
	int a,b,x,y;
	
	scanf("%d%d",&a,&b);
	scanf("%d%d",&x,&y);
	
	if(a==x && b==y)
		printf("nijedan");
		
	else if(a>x && b>y)
		printf("?");
		
	else if(a==x && b>y)
		printf("drugi");
	
	else if(a>x && b==y)
		printf("prvi");
		
	return 0;
}